pub fn print_bytes_as_array(data: &[u8]) -> String {
    format!("{:?}", data)
}

pub fn base_notation(b: u32) -> String {
    match b {
        2 => "0b".to_string(),
        8 => "0".to_string(),
        10 => "".to_string(),
        16 => "0x".to_string(),
        _ => format!("Base({}) ", b),
    }
}
